Apple blockerar Java-versioner i Mac OS X

apple-macbook-air

Apple har lagt in en blockering i Mac OS X mot installation av äldre Java-versioner. Anledningen är att man vill skydda plattformen mot sårbarheter som kan skada användarna och det är webbläsaren som är målet för blocken. Tillägg som är äldre än för uppdatering 51 till Java 6 stoppas av Apple och använder man Java 7 är det äldre än uppdatering 25 som blockeras.

Den som vill vara helt säker och inte använda Java överhuvudtaget kan enkelt stänga av tillägget för Oracales mjukvara i webbläsaren. I Safari går man till exempel under fliken Säkerhet i inställningarna – det är gjort på bara någon minut. Notera att JavaScript inte är relaterat till Java och behöver alltså inte stängas av (och bör inte vara avbockat för den delen).

Webbsajten 9to5mac har tidigare rapporterat om en allvarlig sårbarhet i Java som är en del av anledningen till Apples agerande. Personligen tycker jag det är suveränt att blockeringen har lagts in då det i princip inte finns någon anledningen till varför man skulle behöva äldre versioner, eventuellt på en server – men inte ens där finner jag någon anledningen som är vettig.

X